%define upstream_name    File-Permissions-Unix
%define upstream_version 0.1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A simple object oriented interface to handling file permissions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error::Helper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module gives you a simple object oriented interface to handling file permissions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.1.0-5.mga9
+ Revision: 1803726
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1494541
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1268157
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-2.mga6
+ Revision: 1027462
- Rebuild for perl 5.22.2

* Fri Jan 15 2016 shlomif <shlomif> 0.1.0-1.mga6
+ Revision: 923293
- update to 0.1.0

* Wed Oct 15 2014 umeabot <umeabot> 0.0.0-5.mga5
+ Revision: 748617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.0-4.mga5
+ Revision: 684752
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.0-3.mga4
+ Revision: 511657
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.0-2.mga3
+ Revision: 367317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 kharec <kharec> 0.0.0-1.mga2
+ Revision: 176265
- imported package perl-File-Permissions-Unix


* Sun Dec 04 2011 cpan2dist 0.0.0-1mga
- initial mageia release, generated with cpan2dist
